Bug 42354 - 4-threaded program gets seg. fault on malloc.
Summary: 4-threaded program gets seg. fault on malloc.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-25 22:52 UTC by David Robboy
Modified: 2007-04-18 16:33 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-05-25 22:54:13 UTC


Attachments (Terms of Use)
C program, testcase for this bug. (2.16 KB, text/plain)
2001-05-25 22:54 UTC, David Robboy
no flags Details

Description David Robboy 2001-05-25 22:52:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98; IE4WDUS-
1999052001)

Description of problem:
The attached program spawns 4 pthreads on a 4P Lion system,
 and each thread does
a malloc.  It almost consistently aborts with a segmentation fault.  
The same executable binary program runs on Turbolinux release 010307
(based on kernel release 2.4.1).
fault on Red Hat Linux 7.0.98

How reproducible:
Always

Steps to Reproduce:
1.Just compile and run the test case.
2.
3.
	

Actual Results:  Segmentation Fault

Expected Results:  All four threads exit normally.

Additional info:

Comment 1 David Robboy 2001-05-25 22:54:09 UTC
Created attachment 19691 [details]
C program, testcase for this bug.

Comment 2 Bill Nottingham 2001-05-26 01:20:07 UTC
This is almost certainly fixed in kernel-2.4.3-7; please try with that.



Note You need to log in before you can comment on or make changes to this bug.